package com.avanon.zk.bug;

import static org.junit.Assert.assertNotNull;
import org.junit.After;
import org.junit.AfterClass;
import org.junit.BeforeClass;
import org.junit.Test;
import org.zkoss.zats.mimic.ComponentAgent;
import org.zkoss.zats.mimic.DesktopAgent;
import org.zkoss.zats.mimic.Zats;

public class TestZK1428 {

    @Test
    public void test() {
        DesktopAgent desktopAgent = Zats.newClient().connect( "/index.zul" );
        
        ComponentAgent listboxagent = desktopAgent.query( "#buggyremove" );
        
        assertNotNull( listboxagent );
        listboxagent.click();
        
    }

    @BeforeClass
    public static void init() {
        Zats.init( "./WebContent" );
    }

    @AfterClass
    public static void end() {
        Zats.end();
    }

    @After
    public void after() {
        Zats.cleanup();
    }
}
